// DataBlock.h: interface for the CDataBlock class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_DATABLOCK_H__19B878F3_9566_47A0_8575_6999E0E61568__INCLUDED_)
#define AFX_DATABLOCK_H__19B878F3_9566_47A0_8575_6999E0E61568__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "enums.h"
class CSerialPort;
class CTransferrableFile;
const int BLOCKSIZE=2048;
const RETRIES=3;

class CDataBlock  
{
public:
	CDataBlock();
	virtual ~CDataBlock();
	bool Send(CSerialPort& port, CTransferrableFile& file);
	bool Receive(CSerialPort& port, CTransferrableFile& file);
	unsigned char* GetDataPointer() {return m_Data;};

private:
	unsigned char m_Data[BLOCKSIZE];
	static unsigned char m_ID;
};

#endif // !defined(AFX_DATABLOCK_H__19B878F3_9566_47A0_8575_6999E0E61568__INCLUDED_)
