// SerialPort.h: interface for the CSerialPort class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SERIALPORT_H__BE136FE3_AC2E_4CFD_BAC9_0FE5D1EDCF05__INCLUDED_)
#define AFX_SERIALPORT_H__BE136FE3_AC2E_4CFD_BAC9_0FE5D1EDCF05__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CSerialPort  
{
public:
	CSerialPort();
	virtual ~CSerialPort();
	bool Connect(TCHAR* portName, DWORD baudRate);
	void Disconnect();
	DWORD GetBytes(unsigned char* buffer, unsigned int nBytes);
	DWORD PutBytes(const unsigned char* buffer, unsigned int nBytes);
	void FlickRTS();

private:
	HANDLE m_hSerial;
};

#endif // !defined(AFX_SERIALPORT_H__BE136FE3_AC2E_4CFD_BAC9_0FE5D1EDCF05__INCLUDED_)
